%global short_name logos

Name:		fedora-eln-logos
Summary:	Fedora-ELN-related icons and pictures
Version:	1.0
Release:	%autorelease
URL:		https://docs.fedoraproject.org/en-US/eln/
Source0:    https://github.com/fedora-eln/%{short_name}/archive/refs/tags/%{version}.tar.gz
License:	CC-BY-SA-4.0
Provides:	redhat-logos = %{version}-%{release}
Provides:	gnome-logos = %{version}-%{release}
Provides:	system-logos = %{version}-%{release}
BuildArch:	noarch
BuildRequires:	hardlink

%description
The fedora-eln-logos package contains image files which incorporate the
Fedora ELN logo.

%package httpd
Summary:	Fedora-eln-related icons and pictures used by httpd
Provides:	system-logos-httpd = %{version}-%{release}
BuildArch:	noarch
Recommends:	julietaula-montserrat-fonts
Provides:	system-logos(httpd-logo-ng)

%description httpd
The fedora-eln-logos-httpd package contains image files which incorporate the
Fedora ELN logo.

%prep
%autosetup -n %{short_name}-%{version}

%build

%install
# Bootloader related files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/bootloader
# To regenerate this file, see the bootloader/fedora.icns entry in the Makefile
install -p -m 644 bootloader/fedora.icns $RPM_BUILD_ROOT%{_datadir}/pixmaps/bootloader

# To regenerate these files, run:
# pngtopnm foo.png | ppmtoapplevol > foo.vol
install -p -m 644 bootloader/fedora.vol bootloader/fedora-media.vol $RPM_BUILD_ROOT%{_datadir}/pixmaps/bootloader

# m1n1 logos, see Makefile for how to regenerate
install -p -m 644 bootloader/bootlogo_128.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/bootloader/bootlogo_128.png
install -p -m 644 bootloader/bootlogo_256.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/bootloader/bootlogo_256.png

# General purpose Fedora logos
for i in pixmaps/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

# The Plymouth charge theme (uses the Fedora logo)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
for i in plymouth/charge/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
done

# The Plymoth spinner theme Fedora logo bits
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/spinner
install -p -m 644 pixmaps/fedora-gdm-logo.png $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/spinner/watermark.png

# Fedora logo icons
for size in 16x16 22x22 24x24 32x32 36x36 48x48 96x96 256x256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  done
done

for i in 16 22 24 32 36 48 96 256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/places
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/fedora-logo-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/places/start-here.png
done

# Fedora favicon
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
  ln -s %{_datadir}/icons/hicolor/16x16/apps/fedora-logo-icon.png favicon.png
popd

# Fedora hicolor icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/xfce4_xicon1.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/fedora-logo-icon.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/start-here.svg
install -p -m 644 icons/hicolor/scalable/apps/org.fedoraproject.AnacondaInstaller.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/org.fedoraproject.AnacondaInstaller.svg
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
pushd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
  ln -s ../apps/start-here.svg .
popd
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/symbolic/apps
install -p -m 644 icons/hicolor/symbolic/apps/org.fedoraproject.AnacondaInstaller-symbolic.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/symbolic/apps/

# Fedora art in anaconda
# To regenerate the lss file, see anaconda/Makefile
mkdir -p %{buildroot}%{_datadir}/anaconda/boot
install -p -m 644 anaconda/splash.lss %{buildroot}%{_datadir}/anaconda/boot/
install -p -m 644 anaconda/syslinux-splash.png %{buildroot}%{_datadir}/anaconda/boot/
mkdir -p %{buildroot}%{_datadir}/anaconda/pixmaps

# Variant Anaconda art
pushd anaconda
for i in theme ; do
  cp -a $i/* $RPM_BUILD_ROOT%{_datadir}/anaconda/pixmaps/
done
popd

# SVG Fedora logos
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a fedora/*.svg $RPM_BUILD_ROOT%{_datadir}/%{name}

# HTTP files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fedora-testpage/
cp -a testpage/index.html $RPM_BUILD_ROOT%{_datadir}/fedora-testpage/

# The proper path should be unbranded, but because of history it's easier for
# this package to symlink the old path to the proper one. This avoids having
# to perform scriptlet trickery to handle upgrades from the directory to a
# symlink.
ln -s fedora-testpage $RPM_BUILD_ROOT%{_datadir}/testpage

# save some dup'd icons
# Except in /boot. Because some people think it is fun to use VFAT for /boot.
# hardlink is /usr/sbin/hardlink on Fedora <= 30 and /usr/bin/hardlink on F31+
hardlink -vv %{buildroot}/usr

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/plymouth/themes/spinner/
%{_datadir}/pixmaps/*
# This lives in the http subpackage
%exclude %{_datadir}/pixmaps/poweredby.png
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/anaconda/boot/splash.lss
%{_datadir}/anaconda/boot/syslinux-splash.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/places/*
%{_datadir}/%{name}/
%{_datadir}/plymouth/themes/charge/
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/16x16/
%dir %{_datadir}/icons/hicolor/16x16/apps/
%dir %{_datadir}/icons/hicolor/16x16/places/
%dir %{_datadir}/icons/hicolor/22x22/
%dir %{_datadir}/icons/hicolor/22x22/apps/
%dir %{_datadir}/icons/hicolor/22x22/places/
%dir %{_datadir}/icons/hicolor/24x24/
%dir %{_datadir}/icons/hicolor/24x24/apps/
%dir %{_datadir}/icons/hicolor/24x24/places/
%dir %{_datadir}/icons/hicolor/32x32/
%dir %{_datadir}/icons/hicolor/32x32/apps/
%dir %{_datadir}/icons/hicolor/32x32/places/
%dir %{_datadir}/icons/hicolor/36x36/
%dir %{_datadir}/icons/hicolor/36x36/apps/
%dir %{_datadir}/icons/hicolor/36x36/places/
%dir %{_datadir}/icons/hicolor/48x48/
%dir %{_datadir}/icons/hicolor/48x48/apps/
%dir %{_datadir}/icons/hicolor/48x48/places/
%dir %{_datadir}/icons/hicolor/96x96/
%dir %{_datadir}/icons/hicolor/96x96/apps/
%dir %{_datadir}/icons/hicolor/96x96/places/
%dir %{_datadir}/icons/hicolor/256x256/
%dir %{_datadir}/icons/hicolor/256x256/apps/
%dir %{_datadir}/icons/hicolor/256x256/places/
%dir %{_datadir}/icons/hicolor/scalable/
%dir %{_datadir}/icons/hicolor/scalable/apps/
%dir %{_datadir}/icons/hicolor/scalable/places/
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/boot/
%dir %{_datadir}/anaconda/pixmaps/
%dir %{_datadir}/plymouth/

%files httpd
%license COPYING
%dir %{_datadir}/fedora-testpage
%{_datadir}/testpage
%{_datadir}/fedora-testpage/index.html
%{_datadir}/pixmaps/poweredby.png


%changelog
%autochangelog
